Create a campaign group
curl --request POST \
--url https://app.loops.so/api/v1/campaign-groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Newsletters",
"description": "Monthly newsletter campaigns"
}
'import requests
url = "https://app.loops.so/api/v1/campaign-groups"
payload = {
"name": "Newsletters",
"description": "Monthly newsletter campaigns"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Newsletters', description: 'Monthly newsletter campaigns'})
};
fetch('https://app.loops.so/api/v1/campaign-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "clg7n5p3q1r9s7t5u3v1w9y7",
"name": "Onboarding",
"description": "Top of funnel campaigns",
"createdAt": "2025-06-29T07:47:39.370Z",
"updatedAt": "2025-06-29T07:47:39.370Z"
}{
"message": "Group not found."
}Campaign groups
Create a campaign group
Create a new campaign group.
POST
/
v1
/
campaign-groups
Create a campaign group
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Campaign group created.
The ID of the group.
Example:
"clg7n5p3q1r9s7t5u3v1w9y7"
The name of the group.
Example:
"Onboarding"
The description of the group.
Example:
"Top of funnel campaigns"
ISO 8601 timestamp for when the group was created.
Example:
"2025-06-29T07:47:39.370Z"
ISO 8601 timestamp for when the group was last updated.
Example:
"2025-06-29T07:47:39.370Z"
Last modified on July 20, 2026
Was this page helpful?
⌘I

